;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux w3m-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The w3m-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((elc-dir (concat "/usr/share/"
                       (symbol-name flavor) "/site-lisp/w3m")))
  (if (not (file-directory-p elc-dir))
      ()
    (if (fboundp 'debian-pkg-add-load-path-item)
        (progn
          (debian-pkg-add-load-path-item (concat elc-dir "/shimbun"))
          (debian-pkg-add-load-path-item elc-dir))
      (setq load-path (cons (concat elc-dir "/shimbun") load-path))
      (setq load-path (cons elc-dir load-path)))
    (setq w3m-icon-directory "/usr/share/pixmaps/w3m-el")
    ;; (setq w3m-icon-directory "/usr/share/pixmaps/w3m-el/small")
    (if (file-exists-p (concat elc-dir "/w3m-load.el"))
        (require 'w3m-load))
    ;;
    ))


